com.holonplatform.vaadin.flow.components

## Interface GroupValidationStatusHandler.GroupElementValidationStatusEvent<S,P,E extends HasComponent>

- Type Parameters:
    `S` - Validation source
    `P` - Property type
    `E` - Group element type
  All Superinterfaces:
    Serializable, ValidationStatusHandler.ValidationStatusEvent<S>
  Enclosing interface:
    GroupValidationStatusHandler<S,P,E extends HasComponent>

      public static interface GroupValidationStatusHandler.GroupElementValidationStatusEvent<S,P,E extends HasComponent>
      extends ValidationStatusHandler.ValidationStatusEvent<S>

  A group element validation status event.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `getElement()` Get the group element source of the validation event.
    `P` | `getProperty()` Get the property which identifies the element within the group.
    `static <S,P,E extends HasComponent> GroupValidationStatusHandler.GroupElementValidationStatusEvent<S,P,E>` | `invalid(S source, P property, E element, List<com.holonplatform.core.i18n.Localizable> errors)` Create a new `GroupValidationStatusHandler.GroupElementValidationStatusEvent` for `ValidationStatusHandler.Status.INVALID`.
    `static <S,P,E extends HasComponent> GroupValidationStatusHandler.GroupElementValidationStatusEvent<S,P,E>` | `invalid(S source, P property, E element, com.holonplatform.core.i18n.Localizable error)` Create a new `GroupValidationStatusHandler.GroupElementValidationStatusEvent` for `ValidationStatusHandler.Status.INVALID`.
    `static <S,P,E extends HasComponent> GroupValidationStatusHandler.GroupElementValidationStatusEvent<S,P,E>` | `unresolved(S source, P property, E element)` Create a new `GroupValidationStatusHandler.GroupElementValidationStatusEvent` for `ValidationStatusHandler.Status.UNRESOLVED`.
    `static <S,P,E extends HasComponent> GroupValidationStatusHandler.GroupElementValidationStatusEvent<S,P,E>` | `valid(S source, P property, E element)` Create a new `GroupValidationStatusHandler.GroupElementValidationStatusEvent` for `ValidationStatusHandler.Status.VALID`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ValidationStatusHandler.ValidationStatusEvent

      `create, create, getError, getErrorMessage, getErrorMessages, getErrors, getSource, getStatus, invalid, invalid, isInvalid, unresolved, valid`

- - ### Method Detail

    - #### getProperty

          P getProperty()

      Get the property which identifies the element within the group.
      Returns:
        the property which identifies the element within the group

    - #### getElement

          E getElement()

      Get the group element source of the validation event.
      Returns:
        the validated group element

    - #### unresolved

          static <S,P,E extends HasComponent> GroupValidationStatusHandler.GroupElementValidationStatusEvent<S,P,E> unresolved(S source,
                                                                                                                               P property,
                                                                                                                               E element)

      Create a new `GroupValidationStatusHandler.GroupElementValidationStatusEvent` for `ValidationStatusHandler.Status.UNRESOLVED`.
      Type Parameters:
        `S` - Validation source
        `P` - Property type
        `E` - Group element type
      Parameters:
        `source` - Event source (not null)
        `property` - Property which identifies the group element (not null)
        `element` - The group element (not null)
      Returns:
        A new `GroupValidationStatusHandler.GroupElementValidationStatusEvent`

    - #### valid

          static <S,P,E extends HasComponent> GroupValidationStatusHandler.GroupElementValidationStatusEvent<S,P,E> valid(S source,
                                                                                                                          P property,
                                                                                                                          E element)

      Create a new `GroupValidationStatusHandler.GroupElementValidationStatusEvent` for `ValidationStatusHandler.Status.VALID`.
      Type Parameters:
        `S` - Validation source
        `P` - Property type
        `E` - Group element type
      Parameters:
        `source` - Event source (not null)
        `property` - Property which identifies the group element (not null)
        `element` - The group element (not null)
      Returns:
        A new `GroupValidationStatusHandler.GroupElementValidationStatusEvent`

    - #### invalid

          static <S,P,E extends HasComponent> GroupValidationStatusHandler.GroupElementValidationStatusEvent<S,P,E> invalid(S source,
                                                                                                                            P property,
                                                                                                                            E element,
                                                                                                                            List<com.holonplatform.core.i18n.Localizable> errors)

      Create a new `GroupValidationStatusHandler.GroupElementValidationStatusEvent` for `ValidationStatusHandler.Status.INVALID`.
      Type Parameters:
        `S` - Validation source
        `P` - Property type
        `E` - Group element type
      Parameters:
        `source` - Event source (not null)
        `property` - Property which identifies the group element (not null)
        `element` - The group element (not null)
        `errors` - Validation errors
      Returns:
        A new `GroupValidationStatusHandler.GroupElementValidationStatusEvent`

    - #### invalid

          static <S,P,E extends HasComponent> GroupValidationStatusHandler.GroupElementValidationStatusEvent<S,P,E> invalid(S source,
                                                                                                                            P property,
                                                                                                                            E element,
                                                                                                                            com.holonplatform.core.i18n.Localizable error)

      Create a new `GroupValidationStatusHandler.GroupElementValidationStatusEvent` for `ValidationStatusHandler.Status.INVALID`.
      Type Parameters:
        `S` - Validation source
        `P` - Property type
        `E` - Group element type
      Parameters:
        `source` - Event source (not null)
        `property` - Property which identifies the group element (not null)
        `element` - The group element (not null)
        `error` - Validation error
      Returns:
        A new `GroupValidationStatusHandler.GroupElementValidationStatusEvent`

Copyright © 2019 The Holon Platform. All rights reserved.